package gopom

var examplePom = `
<project>
  <modelVersion>4.0.0</modelVersion>
 
  <parent>
    <groupId>com.test</groupId>
    <artifactId>test-application</artifactId>
    <version>1.0.0</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
 
  <groupId>com.test</groupId>
  <artifactId>test-application</artifactId>
  <version>1.0.0</version>
  <packaging>war</packaging>
 
  <name>gopom-test</name>
  <description>pom parser in golang</description>
  <url>testUrl</url>
  <inceptionYear>2020</inceptionYear>

  <organization>
    <name>name</name>
    <url>url</url>
  </organization>

  <licenses>
    <license>
      <name>name</name>
      <url>url</url>
      <distribution>manual</distribution>
      <comments>comments</comments>
    </license>
  </licenses>
 
  <developers>
    <developer>
      <id>id</id>
      <name>name</name>
      <email>email</email>
      <url>url</url>
      <organization>organization</organization>
      <organizationUrl>organizationUrl</organizationUrl>
      <roles>
		<role>role1</role>
		<role>role2</role>
      </roles>
      <timezone>+1</timezone>
      <properties>
        <key>value</key>
        <key2>value2</key2>
        <key3>value3</key3>
      </properties>
    </developer>
  </developers>

  <contributors>
    <contributor>
      <name>name</name>
      <email>email</email>
      <url>url</url>
      <organization>organization</organization>
      <organizationUrl>organizationUrl</organizationUrl>
      <roles>
		<role>role1</role>
		<role>role2</role>
      </roles>
      <timezone>+1</timezone>
      <properties>
        <key>value</key>
        <key2>value2</key2>
        <key3>value3</key3>
      </properties>
    </contributor>
  </contributors>
 
  <mailingLists>
    <mailingList>
      <name>name</name>
      <subscribe>subscribe</subscribe>
      <unsubscribe>unsubscribe</unsubscribe>
      <post>post</post>
      <archive>archive</archive>
      <otherArchives>
		<otherArchive>archive1</otherArchive>
		<otherArchive>archive2</otherArchive>
	  </otherArchives>
    </mailingList>
  </mailingLists>
 
  <prerequisites>
    <maven>2.0</maven>
  </prerequisites>
 
  <modules>
	<module>module1</module>
	<module>module2</module>
  </modules>
 
  <scm>
    <connection>connection</connection>
    <developerConnection>developerConnection</developerConnection>
    <tag>tag</tag>
    <url>url</url>
  </scm>

  <issueManagement>
    <system>system</system>
    <url>url</url>
  </issueManagement>

  <ciManagement>
    <system>system</system>
    <url>url</url>
    <notifiers>
      <notifier>
        <type>type</type>
        <sendOnError>true</sendOnError>
        <sendOnFailure>true</sendOnFailure>
        <sendOnSuccess>true</sendOnSuccess>
        <sendOnWarning>true</sendOnWarning>
        <address>address</address>
        <configuration>
          <key>value</key>
          <key2>value2</key2>
          <key3>value3</key3>
        </configuration>
      </notifier>
    </notifiers>
  </ciManagement>
 
  <distributionManagement>
    <repository>
      <uniqueVersion>true</uniqueVersion>
      <releases>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </snapshots>
      <id>id</id>
      <name>name</name>
      <url>url</url>
      <layout>layout</layout>
    </repository>
    <snapshotRepository>
      <uniqueVersion>true</uniqueVersion>
      <releases>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </snapshots>
      <id>id</id>
      <name>name</name>
      <url>url</url>
      <layout>layout</layout>
    </snapshotRepository>
    <site>
      <id>id</id>
      <name>name</name>
      <url>url</url>
    </site>
    <downloadUrl>downloadUrl</downloadUrl>
    <relocation>
      <groupId>groupId</groupId>
      <artifactId>artifactId</artifactId>
      <version>version</version>
      <message>message</message>
    </relocation>
    <status>status</status>
  </distributionManagement>
 
  <properties>
    <key>value</key>
    <key2>value2</key2>
    <key3>value3</key3>
  </properties>
 
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>groupId</groupId>
        <artifactId>artifactId</artifactId>
        <version>version</version>
        <type>type</type>
        <classifier>classifier</classifier>
        <scope>scope</scope>
        <systemPath>systemPath</systemPath>
        <exclusions>
          <exclusion>
            <artifactId>artifactId</artifactId>
            <groupId>groupId</groupId>
          </exclusion>
        </exclusions>
        <optional>optional</optional>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <dependencies>
    <dependency>
        <groupId>groupId</groupId>
        <artifactId>artifactId</artifactId>
        <version>version</version>
        <type>type</type>
        <classifier>classifier</classifier>
        <scope>scope</scope>
        <systemPath>systemPath</systemPath>
        <exclusions>
          <exclusion>
            <artifactId>artifactId</artifactId>
            <groupId>groupId</groupId>
          </exclusion>
        </exclusions>
        <optional>optional</optional>
      </dependency>
  </dependencies>
 
  <repositories>
    <repository>
      <releases>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </snapshots>
      <id>id</id>
      <name>name</name>
      <url>url</url>
      <layout>layout</layout>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <releases>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>enabled</enabled>
        <updatePolicy>updatePolicy</updatePolicy>
        <checksumPolicy>checksumPolicy</checksumPolicy>
      </snapshots>
      <id>id</id>
      <name>name</name>
      <url>url</url>
      <layout>layout</layout>
    </pluginRepository>
  </pluginRepositories>
 
  <build>
    <sourceDirectory>sourceDirectory</sourceDirectory>
    <scriptSourceDirectory>scriptSourceDirectory</scriptSourceDirectory>
    <testSourceDirectory>testSourceDirectory</testSourceDirectory>
    <outputDirectory>outputDirectory</outputDirectory>
    <testOutputDirectory>testOutputDirectory</testOutputDirectory>
    <extensions>
      <extension>
        <groupId>groupId</groupId>
        <artifactId>artifactId</artifactId>
        <version>version</version>
      </extension>
    </extensions>
    <defaultGoal>defaultGoal</defaultGoal>
    <resources>
      <resource>
        <targetPath>targetPath</targetPath>
        <filtering>filtering</filtering>
        <directory>directory</directory>
        <includes>
			<include>include</include>
		</includes>
        <excludes>
			<exclude>exclude</exclude>
		</excludes>
      </resource>
    </resources>
    <testResources>
      <testResource>
        <targetPath>targetPath</targetPath>
        <filtering>filtering</filtering>
        <directory>directory</directory>
        <includes>
			<include>include</include>
		</includes>
        <excludes>
			<exclude>exclude</exclude>
		</excludes>
      </testResource>
    </testResources>
    <directory>directory</directory>
    <finalName>finalName</finalName>
    <filters>
		<filter>filter1</filter>
	</filters>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>groupId</groupId>
          <artifactId>artifactId</artifactId>
          <version>version</version>
          <extensions>extensions</extensions>
          <executions>
            <execution>
              <id>id</id>
              <phase>phase</phase>
              <goals>
				<goal>goal</goal>
 		      </goals>
              <inherited>inherited</inherited>
              <configuration>
              	<key>value</key>
              	<key2>value2</key2>
              	<key3>value3</key3>
              </configuration>
            </execution>
          </executions>
          <dependencies>
            <dependency>
              <groupId>groupId</groupId>
              <artifactId>artifactId</artifactId>
              <version>version</version>
              <type>type</type>
              <classifier>classifier</classifier>
              <scope>scope</scope>
              <systemPath>systemPath</systemPath>
              <exclusions>
                <exclusion>
                  <artifactId>artifactId</artifactId>
                  <groupId>groupId</groupId>
                </exclusion>
              </exclusions>
              <optional>optional</optional>
            </dependency>
          </dependencies>
          <goals>
			<goal>goal</goal>
          </goals>
          <inherited>inherited</inherited>
          <configuration>
            <key>value</key>
            <key2>value2</key2>
            <key3>value3</key3>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
          <groupId>groupId</groupId>
          <artifactId>artifactId</artifactId>
          <version>version</version>
          <extensions>extensions</extensions>
          <executions>
            <execution>
              <id>id</id>
              <phase>phase</phase>
              <goals>
				<goal>goal</goal>
 		      </goals>
              <inherited>inherited</inherited>
			  <configuration>
			    <key>value</key>
			    <key2>value2</key2>
			    <key3>value3</key3>
			  </configuration>
            </execution>
          </executions>
          <dependencies>
            <dependency>
              <groupId>groupId</groupId>
              <artifactId>artifactId</artifactId>
              <version>version</version>
              <type>type</type>
              <classifier>classifier</classifier>
              <scope>scope</scope>
              <systemPath>systemPath</systemPath>
              <exclusions>
                <exclusion>
                  <artifactId>artifactId</artifactId>
                  <groupId>groupId</groupId>
                </exclusion>
              </exclusions>
              <optional>optional</optional>
            </dependency>
          </dependencies>
          <goals>
			<goal>goal</goal>
   		  </goals>
          <inherited>inherited</inherited>
		  <configuration>
			<key>value</key>
			<key2>value2</key2>
			<key3>value3</key3>
		  </configuration>
        </plugin>
    </plugins>
  </build>
 
  <reports/>
  <reporting>
    <excludeDefaults>excludeDefaults</excludeDefaults>
    <outputDirectory>outputDirectory</outputDirectory>
    <plugins>
      <plugin>
        <groupId>groupId</groupId>
        <artifactId>artifactId</artifactId>
        <version>version</version>
        <reportSets>
          <reportSet>
            <id>id</id>
            <reports>
			  <report>report</report>
		    </reports>
            <inherited>inherited</inherited>
			<configuration>
			  <key>value</key>
			  <key2>value2</key2>
			  <key3>value3</key3>
			</configuration>
          </reportSet>
        </reportSets>
        <inherited>inherited</inherited>
        <configuration>
          <key>value</key>
          <key2>value2</key2>
          <key3>value3</key3>
        </configuration>
      </plugin>
    </plugins>
  </reporting>
 
  <profiles>
    <profile>
      <id>id</id>
      <activation>
        <activeByDefault>true</activeByDefault>
        <jdk>jdk</jdk>
        <os>
          <name>name</name>
          <family>family</family>
          <arch>arch</arch>
          <version>version</version>
        </os>
        <property>
          <name>name</name>
          <value>value</value>
        </property>
        <file>
          <missing>missing</missing>
          <exists>exists</exists>
        </file>
      </activation>
      <build>
        <defaultGoal>defaultGoal</defaultGoal>
        <resources>
          <resource>
            <targetPath>targetPath</targetPath>
            <filtering>filtering</filtering>
            <directory>directory</directory>
            <includes>
				<include>include</include>
			</includes>
	        <excludes>
				<exclude>exclude</exclude>
			</excludes>
          </resource>
        </resources>
        <testResources>
          <testResource>
            <targetPath>targetPath</targetPath>
            <filtering>filtering</filtering>
            <directory>directory</directory>
            <includes>
				<include>include</include>
			</includes>
	        <excludes>
				<exclude>exclude</exclude>
			</excludes>
          </testResource>
        </testResources>
        <directory>directory</directory>
        <finalName>finalName</finalName>
        <filters>
			<filter>filter1</filter>
		</filters>
        <pluginManagement>
          <plugins>
            <plugin>
              <groupId>groupId</groupId>
              <artifactId>artifactId</artifactId>
              <version>version</version>
              <extensions>extensions</extensions>
              <executions>
                <execution>
                  <id>id</id>
                  <phase>phase</phase>
                  <goals>
					<goal>goal</goal>
		   		  </goals>
                  <inherited>inherited</inherited>
				  <configuration>
					<key>value</key>
					<key2>value2</key2>
					<key3>value3</key3>
				  </configuration>
                </execution>
              </executions>
              <dependencies>
                <dependency>
                  <groupId>groupId</groupId>
                  <artifactId>artifactId</artifactId>
                  <version>version</version>
                  <type>type</type>
                  <classifier>classifier</classifier>
                  <scope>scope</scope>
                  <systemPath>systemPath</systemPath>
                  <exclusions>
                    <exclusion>
                      <artifactId>artifactId</artifactId>
                      <groupId>groupId</groupId>
                    </exclusion>
                  </exclusions>
                  <optional>optional</optional>
                </dependency>
              </dependencies>
              <goals>
				<goal>goal</goal>
 			  </goals>
              <inherited>inherited</inherited>
			  <configuration>
			    <key>value</key>
			    <key2>value2</key2>
			    <key3>value3</key3>
			  </configuration>
            </plugin>
          </plugins>
        </pluginManagement>
        <plugins>
          <plugin>
            <groupId>groupId</groupId>
            <artifactId>artifactId</artifactId>
            <version>version</version>
            <extensions>extensions</extensions>
            <executions>
              <execution>
                <id>id</id>
                <phase>phase</phase>
                <goals>
					<goal>goal</goal>
 			    </goals>
                <inherited>inherited</inherited>
				<configuration>
				  <key>value</key>
				  <key2>value2</key2>
				  <key3>value3</key3>
				</configuration>
              </execution>
            </executions>
            <dependencies>
              <dependency>
                <groupId>groupId</groupId>
                <artifactId>artifactId</artifactId>
                <version>version</version>
                <type>type</type>
                <classifier>classifier</classifier>
                <scope>scope</scope>
                <systemPath>systemPath</systemPath>
                <exclusions>
                  <exclusion>
                    <artifactId>artifactId</artifactId>
                    <groupId>groupId</groupId>
                  </exclusion>
                </exclusions>
                <optional>optional</optional>
              </dependency>
            </dependencies>
            <goals>
				<goal>goal</goal>
 			</goals>
            <inherited>inherited</inherited>
		  	<configuration>
			  <key>value</key>
			  <key2>value2</key2>
			  <key3>value3</key3>
		  	</configuration>
          </plugin>
        </plugins>
      </build>
 
      <modules>
		<module>module1</module>
      </modules>
 
      <distributionManagement>
        <repository>
          <uniqueVersion>true</uniqueVersion>
          <releases>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </releases>
          <snapshots>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </snapshots>
          <id>id</id>
          <name>name</name>
          <url>url</url>
          <layout>layout</layout>
        </repository>
        <snapshotRepository>
          <uniqueVersion>true</uniqueVersion>
          <releases>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </releases>
          <snapshots>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </snapshots>
          <id>id</id>
          <name>name</name>
          <url>url</url>
          <layout>layout</layout>
        </snapshotRepository>
        <site>
          <id>id</id>
          <name>name</name>
          <url>url</url>
        </site>
        <downloadUrl>downloadUrl</downloadUrl>
        <relocation>
          <groupId>groupId</groupId>
          <artifactId>artifactId</artifactId>
          <version>version</version>
          <message>message</message>
        </relocation>
        <status>status</status>
      </distributionManagement>
 
      <properties>
        <key>value</key>
        <key2>value2</key2>
        <key3>value3</key3>
      </properties>
 
      <dependencyManagement>
        <dependencies>
          <dependency>
            <groupId>groupId</groupId>
            <artifactId>artifactId</artifactId>
            <version>version</version>
            <type>type</type>
            <classifier>classifier</classifier>
            <scope>scope</scope>
            <systemPath>systemPath</systemPath>
            <exclusions>
              <exclusion>
                <artifactId>artifactId</artifactId>
                <groupId>groupId</groupId>
              </exclusion>
            </exclusions>
            <optional>optional</optional>
          </dependency>
        </dependencies>
      </dependencyManagement>
      <dependencies>
        <dependency>
          <groupId>groupId</groupId>
          <artifactId>artifactId</artifactId>
          <version>version</version>
          <type>type</type>
          <classifier>classifier</classifier>
          <scope>scope</scope>
          <systemPath>systemPath</systemPath>
          <exclusions>
            <exclusion>
              <artifactId>artifactId</artifactId>
              <groupId>groupId</groupId>
            </exclusion>
          </exclusions>
          <optional>optional</optional>
        </dependency>
      </dependencies>
 
      <repositories>
        <repository>
          <releases>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </releases>
          <snapshots>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </snapshots>
          <id>id</id>
          <name>name</name>
          <url>url</url>
          <layout>layout</layout>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <releases>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </releases>
          <snapshots>
            <enabled>enabled</enabled>
            <updatePolicy>updatePolicy</updatePolicy>
            <checksumPolicy>checksumPolicy</checksumPolicy>
          </snapshots>
          <id>id</id>
          <name>name</name>
          <url>url</url>
          <layout>layout</layout>
        </pluginRepository>
      </pluginRepositories>
 
      <reports>
		<report>report</report>
      </reports>
      <reporting>
        <excludeDefaults>excludeDefaults</excludeDefaults>
        <outputDirectory>outputDirectory</outputDirectory>
        <plugins>
          <plugin>
            <groupId>groupId</groupId>
            <artifactId>artifactId</artifactId>
            <version>version</version>
            <reportSets>
              <reportSet>
                <id>id</id>
                <reports>
					<report>report</report>
      			</reports>
                <inherited>inherited</inherited>
				<configuration>
				  <key>value</key>
				  <key2>value2</key2>
				  <key3>value3</key3>
				</configuration>
              </reportSet>
            </reportSets>
            <inherited>inherited</inherited>
			<configuration>
              <key>value</key>
			  <key2>value2</key2>
			  <key3>value3</key3>
			</configuration>
          </plugin>
        </plugins>
      </reporting>
    </profile>
  </profiles>
</project>
`
